Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class AccessControlEntry

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.SystemObject

                        |

                        +--oracle.ifs.beans.TieSystemObject

                              |

                              +--oracle.ifs.beans.AccessControlEntry

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieAccessControlEntry

public class AccessControlEntry
extends TieSystemObject

The `AccessControlEntry` (ACE) class represents an atomic unit of access control. ACE may be constructed either using AcceeeLevel or PermissionBundles. It also has a DirectoryObject to which this access control applies. ACE may exist only in a AccessControlList(ACL) and not outside it. An ACE can either be granted or revoked. ACE also has sort sequnce which specifies the position of this ACE within an ACL.

See Also:
  `AccessControlList`, `AccessLevel`, `DirectoryObject`

Field Summary
`static java.lang.String` | `ACCESSLEVEL_ATTRIBUTE` The level of the permission associated with this AccessControlEntry (e.g.
`static java.lang.String` | `ACL_ATTRIBUTE` The AccessControlList to which this AccessControlEntry belongs.
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `EXTENDEDPERMISSIONS_ATTRIBUTE` The extended permission levels created by a custom application which are associated with this AccessControlEntry.
`static java.lang.String` | `GRANTED_ATTRIBUTE` An indicator of whether the AccessLevel is being granted or a revoked by the AccessControlEntry.
`static java.lang.String` | `GRANTEE_ATTRIBUTE` The DirectoryObject to which this AccessControlEntry is applied.
`static java.lang.String` | `PERMISSIONBUNDLES_ATTRIBUTE` The PermissionBundles optionally used to set the permissions for this AccessControlEntry.
`static java.lang.String` | `SORTSEQUENCE_ATTRIBUTE` The sort sequence of this AccessControlEntry in the AccessControlList.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Method Summary
`AccessControlList` | `getAcl()` Return the ACL object that contains this ACE.
`AccessLevel` | `getDistinctAccessLevel()` Returns the access level represented by this ACE without considering permission bundles.
`oracle.ifs.beans.ExtendedPermission[]` | `getExtendedPermissions()` Returns extended permissions of this ACE.
`DirectoryObject` | `getGrantee()` Returns the directory object (grantee) that is associated with this ACE.
`AccessLevel` | `getMergedAccessLevel()` Returns the access level represented by this ACE including permission bundles.
`PermissionBundle[]` | `getPermissionBundles()` Returns all PermissionBundles that were used to define the set of permissions for this ACE.
`long` | `getSortSequence()` Returns the Sort Sequence represented by this ACE.

Methods inherited from class oracle.ifs.beans.SystemObject
`getPolicyBundle, getPropertyBundle, isActive, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, setActive, setPolicyBundle, setPropertyBundle`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, handleEvent, hasNameAttribute, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  This class name for this class. Useful for methods that take a class name argument.

### ACL_ATTRIBUTE

    public static final java.lang.String ACL_ATTRIBUTE

  The AccessControlList to which this AccessControlEntry belongs.

### GRANTEE_ATTRIBUTE

    public static final java.lang.String GRANTEE_ATTRIBUTE

  The DirectoryObject to which this AccessControlEntry is applied.

### ACCESSLEVEL_ATTRIBUTE

    public static final java.lang.String ACCESSLEVEL_ATTRIBUTE

  The level of the permission associated with this AccessControlEntry (e.g. Discover, Delete).

### EXTENDEDPERMISSIONS_ATTRIBUTE

    public static final java.lang.String EXTENDEDPERMISSIONS_ATTRIBUTE

  The extended permission levels created by a custom application which are associated with this AccessControlEntry.

### GRANTED_ATTRIBUTE

    public static final java.lang.String GRANTED_ATTRIBUTE

  An indicator of whether the AccessLevel is being granted or a revoked by the AccessControlEntry.

### SORTSEQUENCE_ATTRIBUTE

    public static final java.lang.String SORTSEQUENCE_ATTRIBUTE

  The sort sequence of this AccessControlEntry in the AccessControlList.

### PERMISSIONBUNDLES_ATTRIBUTE

    public static final java.lang.String PERMISSIONBUNDLES_ATTRIBUTE

  The PermissionBundles optionally used to set the permissions for this AccessControlEntry.

Method Detail

### getAcl

    public AccessControlList getAcl()
                             throws IfsException

  Return the ACL object that contains this ACE.
  Returns:
    the ACL object that contains this ACE
  Throws:
    `IfsException` - if operation fails.

### getGrantee

    public DirectoryObject getGrantee()
                               throws IfsException

  Returns the directory object (grantee) that is associated with this ACE.
  Returns:
    the grantee for this ACE
  Throws:
    `IfsException` - if operation fails.

### getDistinctAccessLevel

    public AccessLevel getDistinctAccessLevel()
                                       throws IfsException

  Returns the access level represented by this ACE without considering permission bundles.
  Returns:
    the access level represented by this ACE.
  Throws:
    `IfsException` - if operation fails.

### getMergedAccessLevel

    public AccessLevel getMergedAccessLevel()
                                     throws IfsException

  Returns the access level represented by this ACE including permission bundles.
  Returns:
    the access level represented by this ACE including permission bundles
  Throws:
    `IfsException` - if operation fails.

### getExtendedPermissions

    public oracle.ifs.beans.ExtendedPermission[] getExtendedPermissions()
                                                                 throws IfsException

  Returns extended permissions of this ACE.
  Returns:
    an array of extended permissions.
  Throws:
    `IfsException` - if operation fails.

### getPermissionBundles

    public PermissionBundle[] getPermissionBundles()
                                            throws IfsException

  Returns all PermissionBundles that were used to define the set of permissions for this ACE. If the permissions were set explicitly using access levels, returns null.
  Returns:
    array of permission bundles.
  Throws:
    `IfsException` - if operation fails.

### getSortSequence

    public long getSortSequence()
                         throws IfsException

  Returns the Sort Sequence represented by this ACE. Sort sequnce determines the position of ACE within an ACL and used in determining the order of ACEs to evaluate effective permissions defined by an ACL.
  Returns:
    the sort sequence represented by this ACE.
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD